Package net.snowflake.client.util

## Class DecorrelatedJitterBackoff

- java.lang.Object
- - net.snowflake.client.util.DecorrelatedJitterBackoff

    public class DecorrelatedJitterBackoff
    extends Object

Decorrelated Jitter backoff

https://aws.amazon.com/blogs/architecture/exponential-backoff-and-jitter/

### Constructor Summary

Constructors
`DecorrelatedJitterBackoff​(long base, long cap)`

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `chooseRandom​(double min, double max)`
`long` `getJitterForLogin​(long currentTime)`
`long` `nextSleepTime​(long sleep)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DecorrelatedJitterBackoff

    public DecorrelatedJitterBackoff​(long base,
                                     long cap)

### Method Detail

#### nextSleepTime

    public long nextSleepTime​(long sleep)

#### getJitterForLogin

    public long getJitterForLogin​(long currentTime)

#### chooseRandom

    public double chooseRandom​(double min,
                               double max)